#ifndef CAMERA_H
#define CAMERA_H

#include "../fixed.h"

class camera
{
    public:
        camera();
        camera( double x, double y, double z);
        ~camera();

        void incX( double dx );
        void incY( double dy );
        void incZ( double dz );

        void decX( double dx );
        void decY( double dy );
        void decZ( double dz );

        fixed_t cX = 0;
        fixed_t cY = 0;
        fixed_t cZ = 0;
};

#endif // CAMERA_H
